# Uses of Enum Class
org.opensaml.messaging.context.navigate.MessageContextLookup.Direction

Packages that use MessageContextLookup.Direction
Package
Description
org.opensaml.messaging.context.navigate
A set of functions used to navigate and lookup data from a tree of `BaseContext`s.

## Uses of MessageContextLookup.Direction in org.opensaml.messaging.context.navigate

Fields in org.opensaml.messaging.context.navigate declared as MessageContextLookup.Direction
Modifier and Type
Field
Description
`private MessageContextLookup.Direction`
MessageContextLookup.`dir`
The message context to evaluate as the entityContext parent.
Methods in org.opensaml.messaging.context.navigate that return MessageContextLookup.Direction
Modifier and Type
Method
Description
`static MessageContextLookup.Direction`
MessageContextLookup.Direction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static MessageContextLookup.Direction[]`
MessageContextLookup.Direction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.opensaml.messaging.context.navigate with parameters of type MessageContextLookup.Direction
Modifier
Constructor
Description
``
`MessageContextLookup(MessageContextLookup.Direction direction)`
Constructor.
``
`MessageContextLookup(MessageContextLookup.Direction direction, Function<BaseContext,InOutOperationContext> lookup)`
Constructor.